{
  "type": "excalidraw",
  "version": 2,
  "source": "https://marketplace.visualstudio.com/items?itemName=pomdtr.excalidraw-editor",
  "elements": [
    {
      "id": "PQpf4ccIJeMO5fM4xut-1",
      "type": "rectangle",
      "x": 1222.4251138888894,
      "y": -112.50000022222308,
      "width": 490.8333333333332,
      "height": 763.3333333333336,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zp",
      "roundness": {
        "type": 3
      },
      "seed": 2078414457,
      "version": 247,
      "versionNonce": 1571230999,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097512981,
      "link": null,
      "locked": false
    },
    {
      "id": "yVd0pFadKqi-lYOO5TgoC",
      "type": "rectangle",
      "x": 468.38888888888937,
      "y": -112.47222222222308,
      "width": 495.8333333333332,
      "height": 763.3333333333336,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#40c057",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zq",
      "roundness": {
        "type": 3
      },
      "seed": 1494159895,
      "version": 163,
      "versionNonce": 1588006071,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097485717,
      "link": null,
      "locked": false
    },
    {
      "id": "RTdg9KBUJ91POyzjhOBe6",
      "type": "arrow",
      "x": 1467.101720143109,
      "y": 383.37708599355983,
      "width": 1.6367602370419263,
      "height": 584.5929469474474,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zr",
      "roundness": null,
      "seed": 672875673,
      "version": 131,
      "versionNonce": 266559705,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097744396,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -1.6367602370419263,
          -584.5929469474474
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "sArPUvit5bb9ZF6QO0KDv",
        "focus": 0,
        "gap": 10.19444444444406
      },
      "endBinding": {
        "elementId": "05iGgfFczlfF6Ym1s3d0c",
        "focus": 0.010273612051411831,
        "gap": 13.527777777777345
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "mYEwWXZcEGEWK_43KFc1-",
      "type": "rectangle",
      "x": 1293.5,
      "y": 501.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zs",
      "roundness": {
        "type": 3
      },
      "seed": 1850460409,
      "version": 343,
      "versionNonce": 1856833305,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "Y1NMFmz4QVsIWzqosHg2O",
          "type": "text"
        },
        {
          "id": "MGA0DbKpTJi1p-RmvJHcl",
          "type": "arrow"
        },
        {
          "id": "ZBda7xTkI2a53Sdo5YO5k",
          "type": "arrow"
        }
      ],
      "updated": 1762097505656,
      "link": null,
      "locked": false
    },
    {
      "id": "Y1NMFmz4QVsIWzqosHg2O",
      "type": "text",
      "x": 1428.75,
      "y": 538,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zt",
      "roundness": null,
      "seed": 1471824345,
      "version": 323,
      "versionNonce": 1675449079,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097505656,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "mYEwWXZcEGEWK_43KFc1-",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "hiDAJiVM5PI7JAG55LDKZ",
      "type": "arrow",
      "x": 715.15,
      "y": 496.5,
      "width": 573.35,
      "height": 691.5,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zu",
      "roundness": null,
      "seed": 2019311607,
      "version": 198,
      "versionNonce": 310673593,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097526828,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -691.5
        ],
        [
          377.56428571428603,
          -691.5
        ],
        [
          377.56428571428603,
          -521.1
        ],
        [
          573.35,
          -521.1
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "hCmjOhkeJqkwFt2LaEeWy",
        "fixedPoint": [
          0.4997122302158273,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "fe8VfTUKZvQRqbDapUPkC",
        "fixedPoint": [
          -0.014388489208633094,
          0.4989795918367346
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -691.5
          ],
          "end": [
            377.56428571428603,
            -691.5
          ]
        },
        {
          "index": 3,
          "start": [
            377.56428571428603,
            -691.5
          ],
          "end": [
            377.56428571428603,
            -521.1
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "suERLe8KzGkRFFaLPBbYS",
      "type": "arrow",
      "x": 715.15,
      "y": 496.5,
      "width": 573.35,
      "height": 693.5,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zv",
      "roundness": null,
      "seed": 1328582649,
      "version": 111,
      "versionNonce": 646693719,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097526828,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -693.5
        ],
        [
          376.56428571428603,
          -693.5
        ],
        [
          376.56428571428603,
          -406.1
        ],
        [
          573.35,
          -406.1
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "hCmjOhkeJqkwFt2LaEeWy",
        "fixedPoint": [
          0.4997122302158273,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "zlwAkcFzNK6a2iDZtTscW",
        "fixedPoint": [
          -0.014388489208633094,
          0.4989795918367346
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -693.5
          ],
          "end": [
            376.56428571428603,
            -693.5
          ]
        },
        {
          "index": 3,
          "start": [
            376.56428571428603,
            -693.5
          ],
          "end": [
            376.56428571428603,
            -406.1
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "1AYeyQXpvxvPDZaforTeO",
      "type": "arrow",
      "x": 715.15,
      "y": 496.5,
      "width": 573.35,
      "height": 692.5,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zw",
      "roundness": null,
      "seed": 858872151,
      "version": 133,
      "versionNonce": 730202521,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097526828,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -692.5
        ],
        [
          376.56428571428603,
          -692.5
        ],
        [
          376.56428571428603,
          -291.1
        ],
        [
          573.35,
          -291.1
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "hCmjOhkeJqkwFt2LaEeWy",
        "fixedPoint": [
          0.4997122302158273,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "d7CJ62MS1amOkeJytPXhj",
        "fixedPoint": [
          -0.014388489208633094,
          0.4989795918367346
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -692.5
          ],
          "end": [
            376.56428571428603,
            -692.5
          ]
        },
        {
          "index": 3,
          "start": [
            376.56428571428603,
            -692.5
          ],
          "end": [
            376.56428571428603,
            -291.1
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "iaC5McEY7wd0-ebS2Yk88",
      "type": "arrow",
      "x": 715.15,
      "y": 496.5,
      "width": 573.3582135828875,
      "height": 690.5,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zx",
      "roundness": null,
      "seed": 1973058585,
      "version": 123,
      "versionNonce": 956776567,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097526828,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -690.5
        ],
        [
          376.56428571428603,
          -690.5
        ],
        [
          376.56428571428603,
          -165.7421110707764
        ],
        [
          573.3582135828875,
          -165.7421110707764
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "hCmjOhkeJqkwFt2LaEeWy",
        "fixedPoint": [
          0.4997122302158273,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "ffZesZD_TGCwhOEgZd4yt",
        "fixedPoint": [
          -0.014364852998884913,
          0.604672336012486
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -690.5
          ],
          "end": [
            376.56428571428603,
            -690.5
          ]
        },
        {
          "index": 3,
          "start": [
            376.56428571428603,
            -690.5
          ],
          "end": [
            376.56428571428603,
            -165.7421110707764
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "C4j-au1Q0vOfL8LvTU9Pt",
      "type": "arrow",
      "x": 715.15,
      "y": 496.5,
      "width": 573.35,
      "height": 688.5,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zy",
      "roundness": null,
      "seed": 968557943,
      "version": 127,
      "versionNonce": 778331769,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097526828,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -688.5
        ],
        [
          377.56428571428603,
          -688.5
        ],
        [
          377.56428571428603,
          -61.10000000000002
        ],
        [
          573.35,
          -61.10000000000002
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "hCmjOhkeJqkwFt2LaEeWy",
        "fixedPoint": [
          0.4997122302158273,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "sArPUvit5bb9ZF6QO0KDv",
        "fixedPoint": [
          -0.014388489208633094,
          0.4989795918367346
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -688.5
          ],
          "end": [
            377.56428571428603,
            -688.5
          ]
        },
        {
          "index": 3,
          "start": [
            377.56428571428603,
            -688.5
          ],
          "end": [
            377.56428571428603,
            -61.10000000000002
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "MGA0DbKpTJi1p-RmvJHcl",
      "type": "arrow",
      "x": 715.15,
      "y": 496.5,
      "width": 573.35,
      "height": 746.4,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zz",
      "roundness": null,
      "seed": 142138105,
      "version": 79,
      "versionNonce": 626399639,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097526828,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -692.5
        ],
        [
          376.1,
          -692.5
        ],
        [
          376.1,
          53.89999999999998
        ],
        [
          573.35,
          53.89999999999998
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "hCmjOhkeJqkwFt2LaEeWy",
        "fixedPoint": [
          0.4997122302158273,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "mYEwWXZcEGEWK_43KFc1-",
        "fixedPoint": [
          -0.014388489208633094,
          0.4989795918367346
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -692.5
          ],
          "end": [
            376.1,
            -692.5
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "hCmjOhkeJqkwFt2LaEeWy",
      "type": "rectangle",
      "x": 541.5,
      "y": 501.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a0",
      "roundness": {
        "type": 3
      },
      "seed": 1590541175,
      "version": 191,
      "versionNonce": 1432823127,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "qQVq7bC6rOMk_HWjKNKfi",
          "type": "text"
        },
        {
          "id": "suERLe8KzGkRFFaLPBbYS",
          "type": "arrow"
        },
        {
          "id": "1AYeyQXpvxvPDZaforTeO",
          "type": "arrow"
        },
        {
          "id": "iaC5McEY7wd0-ebS2Yk88",
          "type": "arrow"
        },
        {
          "id": "C4j-au1Q0vOfL8LvTU9Pt",
          "type": "arrow"
        },
        {
          "id": "MGA0DbKpTJi1p-RmvJHcl",
          "type": "arrow"
        },
        {
          "id": "hiDAJiVM5PI7JAG55LDKZ",
          "type": "arrow"
        },
        {
          "id": "-V3lQ6KzuQ00PcpUZiwM3",
          "type": "arrow"
        }
      ],
      "updated": 1762097493349,
      "link": null,
      "locked": false
    },
    {
      "id": "qQVq7bC6rOMk_HWjKNKfi",
      "type": "text",
      "x": 676.75,
      "y": 538,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a1",
      "roundness": null,
      "seed": 1653945495,
      "version": 160,
      "versionNonce": 1946795929,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097493349,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "hCmjOhkeJqkwFt2LaEeWy",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "sArPUvit5bb9ZF6QO0KDv",
      "type": "rectangle",
      "x": 1293.5,
      "y": 386.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aE",
      "roundness": {
        "type": 3
      },
      "seed": 44474041,
      "version": 374,
      "versionNonce": 1368308729,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "7WJGVxBls8IxQbsNxxNCN",
          "type": "text"
        },
        {
          "id": "C4j-au1Q0vOfL8LvTU9Pt",
          "type": "arrow"
        },
        {
          "id": "RTdg9KBUJ91POyzjhOBe6",
          "type": "arrow"
        }
      ],
      "updated": 1762097505656,
      "link": null,
      "locked": false
    },
    {
      "id": "7WJGVxBls8IxQbsNxxNCN",
      "type": "text",
      "x": 1428.75,
      "y": 423,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aF",
      "roundness": null,
      "seed": 1303666585,
      "version": 359,
      "versionNonce": 1623579671,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097505656,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "sArPUvit5bb9ZF6QO0KDv",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "ffZesZD_TGCwhOEgZd4yt",
      "type": "rectangle",
      "x": 1293.5,
      "y": 271.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aG",
      "roundness": {
        "type": 3
      },
      "seed": 82628473,
      "version": 356,
      "versionNonce": 1546048729,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "UFKv-5BcPmUo3am7YiMua",
          "type": "text"
        },
        {
          "id": "iaC5McEY7wd0-ebS2Yk88",
          "type": "arrow"
        }
      ],
      "updated": 1762097505656,
      "link": null,
      "locked": false
    },
    {
      "id": "UFKv-5BcPmUo3am7YiMua",
      "type": "text",
      "x": 1428.75,
      "y": 308,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aH",
      "roundness": null,
      "seed": 829847641,
      "version": 343,
      "versionNonce": 2113945911,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097505656,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "ffZesZD_TGCwhOEgZd4yt",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "d7CJ62MS1amOkeJytPXhj",
      "type": "rectangle",
      "x": 1293.5,
      "y": 156.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aI",
      "roundness": {
        "type": 3
      },
      "seed": 1956119865,
      "version": 392,
      "versionNonce": 302567865,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "i071ua48fsxeh5Npd5_cV",
          "type": "text"
        },
        {
          "id": "1AYeyQXpvxvPDZaforTeO",
          "type": "arrow"
        }
      ],
      "updated": 1762097505656,
      "link": null,
      "locked": false
    },
    {
      "id": "i071ua48fsxeh5Npd5_cV",
      "type": "text",
      "x": 1428.75,
      "y": 193,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aJ",
      "roundness": null,
      "seed": 2041902617,
      "version": 380,
      "versionNonce": 217121367,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097505656,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "d7CJ62MS1amOkeJytPXhj",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "zlwAkcFzNK6a2iDZtTscW",
      "type": "rectangle",
      "x": 1293.5,
      "y": 41.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aK",
      "roundness": {
        "type": 3
      },
      "seed": 1400043575,
      "version": 387,
      "versionNonce": 945304217,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "Y0spY8BLvT6y4e14rQoUd",
          "type": "text"
        },
        {
          "id": "suERLe8KzGkRFFaLPBbYS",
          "type": "arrow"
        }
      ],
      "updated": 1762097505656,
      "link": null,
      "locked": false
    },
    {
      "id": "Y0spY8BLvT6y4e14rQoUd",
      "type": "text",
      "x": 1428.75,
      "y": 78,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aL",
      "roundness": null,
      "seed": 821352791,
      "version": 375,
      "versionNonce": 1047306103,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097505656,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "zlwAkcFzNK6a2iDZtTscW",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "fe8VfTUKZvQRqbDapUPkC",
      "type": "rectangle",
      "x": 1293.5,
      "y": -73.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aM",
      "roundness": {
        "type": 3
      },
      "seed": 1667480855,
      "version": 425,
      "versionNonce": 600340345,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "htxbRtOo-u12BOCkX1wW5"
        },
        {
          "id": "hiDAJiVM5PI7JAG55LDKZ",
          "type": "arrow"
        }
      ],
      "updated": 1762097505656,
      "link": null,
      "locked": false
    },
    {
      "id": "htxbRtOo-u12BOCkX1wW5",
      "type": "text",
      "x": 1428.75,
      "y": -37.000000000000014,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aN",
      "roundness": null,
      "seed": 620854457,
      "version": 413,
      "versionNonce": 884447383,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097505656,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "fe8VfTUKZvQRqbDapUPkC",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "Le64nP2hHiuPBhsEcIhNA",
      "type": "rectangle",
      "x": 541.5,
      "y": 704.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aNG",
      "roundness": {
        "type": 3
      },
      "seed": 2075763255,
      "version": 309,
      "versionNonce": 1701229081,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "msSQtAU_p9iwbfoRNHEaY",
          "type": "text"
        },
        {
          "id": "hiDAJiVM5PI7JAG55LDKZ",
          "type": "arrow"
        },
        {
          "id": "-V3lQ6KzuQ00PcpUZiwM3",
          "type": "arrow"
        },
        {
          "id": "8WW000GWabFqt18v0wcOG",
          "type": "arrow"
        }
      ],
      "updated": 1762097538100,
      "link": null,
      "locked": false
    },
    {
      "id": "msSQtAU_p9iwbfoRNHEaY",
      "type": "text",
      "x": 671.25,
      "y": 741,
      "width": 88,
      "height": 25,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aO",
      "roundness": null,
      "seed": 785793879,
      "version": 288,
      "versionNonce": 254269431,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097538100,
      "link": null,
      "locked": false,
      "text": "Embedder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "Le64nP2hHiuPBhsEcIhNA",
      "originalText": "Embedder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "syVEeUUekehSstNcdrtkv",
      "type": "rectangle",
      "x": 1293.5,
      "y": 704.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aQ",
      "roundness": {
        "type": 3
      },
      "seed": 1810645527,
      "version": 274,
      "versionNonce": 970655481,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "mly-Bz6wQItXgFzQsCq8o",
          "type": "text"
        },
        {
          "id": "KUOHiPhUfb2Zeskx87Ucr",
          "type": "arrow"
        },
        {
          "id": "ZBda7xTkI2a53Sdo5YO5k",
          "type": "arrow"
        }
      ],
      "updated": 1762097538100,
      "link": null,
      "locked": false
    },
    {
      "id": "mly-Bz6wQItXgFzQsCq8o",
      "type": "text",
      "x": 1423.25,
      "y": 741,
      "width": 88,
      "height": 25,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aR",
      "roundness": null,
      "seed": 1667884855,
      "version": 260,
      "versionNonce": 712491287,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097538100,
      "link": null,
      "locked": false,
      "text": "Embedder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "syVEeUUekehSstNcdrtkv",
      "originalText": "Embedder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "05iGgfFczlfF6Ym1s3d0c",
      "type": "rectangle",
      "x": 1293.5,
      "y": -303.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#c2255c",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aS",
      "roundness": {
        "type": 3
      },
      "seed": 1296518231,
      "version": 367,
      "versionNonce": 991317143,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "h2wx7em-NkKi4E7Ea-R9-",
          "type": "text"
        },
        {
          "id": "RTdg9KBUJ91POyzjhOBe6",
          "type": "arrow"
        },
        {
          "id": "Cc1Zuj8Tdt4coVEHUNRg3",
          "type": "arrow"
        }
      ],
      "updated": 1762097749065,
      "link": null,
      "locked": false
    },
    {
      "id": "h2wx7em-NkKi4E7Ea-R9-",
      "type": "text",
      "x": 1406.75,
      "y": -267,
      "width": 121,
      "height": 25,
      "angle": 0,
      "strokeColor": "#c2255c",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aT",
      "roundness": null,
      "seed": 1902750071,
      "version": 352,
      "versionNonce": 1639165017,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097749065,
      "link": null,
      "locked": false,
      "text": "De-Embedder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "05iGgfFczlfF6Ym1s3d0c",
      "originalText": "De-Embedder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "EqHynz8vcwcbO2OQGfqBw",
      "type": "ellipse",
      "x": 670.749999714286,
      "y": 890.5,
      "width": 89,
      "height": 89,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#a5d8ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aTG",
      "roundness": {
        "type": 2
      },
      "seed": 2122376153,
      "version": 163,
      "versionNonce": 1329564503,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762097565848,
      "link": null,
      "locked": false
    },
    {
      "id": "8WW000GWabFqt18v0wcOG",
      "type": "arrow",
      "x": 715.149999714286,
      "y": 885.5,
      "width": 2.857140088963206e-7,
      "height": 78,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aU",
      "roundness": null,
      "seed": 1290863897,
      "version": 315,
      "versionNonce": 1250340985,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097554281,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          2.857140088963206e-7,
          -78
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "Le64nP2hHiuPBhsEcIhNA",
        "fixedPoint": [
          0.4997122302158273,
          1.0510204081632657
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "NLkveXKbzSB0v0Zsl2rg-",
      "type": "rectangle",
      "x": 541.5,
      "y": 271.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aY",
      "roundness": {
        "type": 3
      },
      "seed": 794270105,
      "version": 216,
      "versionNonce": 2049335927,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "IGNuihIjw5dcmXu9LWaRT",
          "type": "text"
        }
      ],
      "updated": 1762097493349,
      "link": null,
      "locked": false
    },
    {
      "id": "IGNuihIjw5dcmXu9LWaRT",
      "type": "text",
      "x": 676.75,
      "y": 308,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aZ",
      "roundness": null,
      "seed": 1950547577,
      "version": 197,
      "versionNonce": 1807770745,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097493349,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "NLkveXKbzSB0v0Zsl2rg-",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "m1xfEDavlppBDi9I8ZQXG",
      "type": "rectangle",
      "x": 541.5,
      "y": 156.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aa",
      "roundness": {
        "type": 3
      },
      "seed": 1412351833,
      "version": 252,
      "versionNonce": 2051079063,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "D4duLjOzhF0Ctw4zFN_Wv",
          "type": "text"
        }
      ],
      "updated": 1762097493349,
      "link": null,
      "locked": false
    },
    {
      "id": "D4duLjOzhF0Ctw4zFN_Wv",
      "type": "text",
      "x": 676.75,
      "y": 193,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ab",
      "roundness": null,
      "seed": 1500410937,
      "version": 234,
      "versionNonce": 51342681,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097493349,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "m1xfEDavlppBDi9I8ZQXG",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "u2fv5TANFKTmn-Eue0MPU",
      "type": "rectangle",
      "x": 541.5,
      "y": 41.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ac",
      "roundness": {
        "type": 3
      },
      "seed": 508412887,
      "version": 233,
      "versionNonce": 166424759,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "qV1qAZR6RXn-yk8BqYGgc",
          "type": "text"
        }
      ],
      "updated": 1762097493349,
      "link": null,
      "locked": false
    },
    {
      "id": "qV1qAZR6RXn-yk8BqYGgc",
      "type": "text",
      "x": 676.75,
      "y": 78,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ad",
      "roundness": null,
      "seed": 1505046775,
      "version": 215,
      "versionNonce": 1900698169,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097493349,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "u2fv5TANFKTmn-Eue0MPU",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "dImOoav2i8gKN3gBwoqek",
      "type": "rectangle",
      "x": 541.5,
      "y": -73.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ae",
      "roundness": {
        "type": 3
      },
      "seed": 2747607,
      "version": 273,
      "versionNonce": 1657422295,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "jS2zusKF_relVzyxNIe8k",
          "type": "text"
        }
      ],
      "updated": 1762097493349,
      "link": null,
      "locked": false
    },
    {
      "id": "jS2zusKF_relVzyxNIe8k",
      "type": "text",
      "x": 676.75,
      "y": -37,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "af",
      "roundness": null,
      "seed": 1612986871,
      "version": 255,
      "versionNonce": 928295705,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097493349,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "dImOoav2i8gKN3gBwoqek",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "w7nQ1BM4_PyyQVbFFF_-K",
      "type": "rectangle",
      "x": 541.5,
      "y": 386.5,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ag",
      "roundness": {
        "type": 3
      },
      "seed": 1468228247,
      "version": 253,
      "versionNonce": 368176887,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "u8qFM8uaEVJkYtg77wS_c",
          "type": "text"
        }
      ],
      "updated": 1762097493349,
      "link": null,
      "locked": false
    },
    {
      "id": "u8qFM8uaEVJkYtg77wS_c",
      "type": "text",
      "x": 676.75,
      "y": 423,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ah",
      "roundness": null,
      "seed": 4782007,
      "version": 235,
      "versionNonce": 1839325177,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097493349,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "w7nQ1BM4_PyyQVbFFF_-K",
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "-V3lQ6KzuQ00PcpUZiwM3",
      "type": "arrow",
      "x": 715.15,
      "y": 699.5,
      "width": 0,
      "height": 95,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ai",
      "roundness": null,
      "seed": 1868128825,
      "version": 99,
      "versionNonce": 1436544281,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097531206,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -95
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "Le64nP2hHiuPBhsEcIhNA",
        "fixedPoint": [
          0.4997122302158273,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "hCmjOhkeJqkwFt2LaEeWy",
        "fixedPoint": [
          0.4997122302158273,
          1.0510204081632657
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "XcyJMFhPjx9GBzusjOZci",
      "type": "ellipse",
      "x": 1422.7499997142859,
      "y": 890.5,
      "width": 89,
      "height": 89,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#4dabf7",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ak",
      "roundness": {
        "type": 2
      },
      "seed": 1567541559,
      "version": 219,
      "versionNonce": 481549879,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "8WW000GWabFqt18v0wcOG",
          "type": "arrow"
        },
        {
          "id": "KUOHiPhUfb2Zeskx87Ucr",
          "type": "arrow"
        },
        {
          "id": "1g4Oq3OEfCixnjPIm7h2z",
          "type": "arrow"
        }
      ],
      "updated": 1762097631206,
      "link": null,
      "locked": false
    },
    {
      "id": "KUOHiPhUfb2Zeskx87Ucr",
      "type": "arrow",
      "x": 1467.149999714286,
      "y": 885.5,
      "width": 2.857141225831583e-7,
      "height": 78,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "al",
      "roundness": null,
      "seed": 153848983,
      "version": 18,
      "versionNonce": 181759895,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097554281,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          2.857141225831583e-7,
          -78
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "XcyJMFhPjx9GBzusjOZci",
        "fixedPoint": [
          0.49887640449438303,
          -0.056179775280898875
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "syVEeUUekehSstNcdrtkv",
        "fixedPoint": [
          0.4997122302158276,
          1.0510204081632657
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "ZBda7xTkI2a53Sdo5YO5k",
      "type": "arrow",
      "x": 1467.15,
      "y": 699.5,
      "width": 0,
      "height": 95,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "am",
      "roundness": null,
      "seed": 1269121559,
      "version": 13,
      "versionNonce": 1174297785,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097541929,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -95
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "syVEeUUekehSstNcdrtkv",
        "fixedPoint": [
          0.4997122302158276,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "mYEwWXZcEGEWK_43KFc1-",
        "fixedPoint": [
          0.4997122302158276,
          1.0510204081632657
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "bH77-IkOYGcdFpXf_fFrg",
      "type": "ellipse",
      "x": 1422.0974947142859,
      "y": -485.5,
      "width": 89,
      "height": 89,
      "angle": 0,
      "strokeColor": "#e8590c",
      "backgroundColor": "#fd7e14",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "as",
      "roundness": {
        "type": 2
      },
      "seed": 1040822265,
      "version": 287,
      "versionNonce": 589205527,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "8WW000GWabFqt18v0wcOG",
          "type": "arrow"
        },
        {
          "id": "KUOHiPhUfb2Zeskx87Ucr",
          "type": "arrow"
        },
        {
          "id": "1g4Oq3OEfCixnjPIm7h2z",
          "type": "arrow"
        },
        {
          "id": "Cc1Zuj8Tdt4coVEHUNRg3",
          "type": "arrow"
        }
      ],
      "updated": 1762097744396,
      "link": null,
      "locked": false
    },
    {
      "id": "Cc1Zuj8Tdt4coVEHUNRg3",
      "type": "arrow",
      "x": 1467.15,
      "y": -308.5,
      "width": 0.6525052857141418,
      "height": 83,
      "angle": 0,
      "strokeColor": "#c2255c",
      "backgroundColor": "#fd7e14",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "au",
      "roundness": null,
      "seed": 38186487,
      "version": 24,
      "versionNonce": 929152665,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097744396,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -0.6525052857141418,
          -83
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "05iGgfFczlfF6Ym1s3d0c",
        "fixedPoint": [
          0.4997122302158276,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "bH77-IkOYGcdFpXf_fFrg",
        "fixedPoint": [
          0.49887640449438303,
          1.0561797752808988
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "ki2t1gUjdb2a8MhIQ3qT_",
      "type": "text",
      "x": 658.6322352698419,
      "y": 1003.8730158730159,
      "width": 110,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aw",
      "roundness": null,
      "seed": 550949657,
      "version": 30,
      "versionNonce": 2105439993,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097604257,
      "link": null,
      "locked": false,
      "text": "Encoder In",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Encoder In",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "OipwoMedW4WCx7pa9RRIm",
      "type": "text",
      "x": 1411.523075269842,
      "y": 1003.8730158730159,
      "width": 110,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ax",
      "roundness": null,
      "seed": 499815671,
      "version": 65,
      "versionNonce": 43696953,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097599590,
      "link": null,
      "locked": false,
      "text": "Decoder In",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Decoder In",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "wFKEdMoTX4eEYaKkLmJ2-",
      "type": "text",
      "x": 1381.995654269842,
      "y": -533.0277781269841,
      "width": 165,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e8590c",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ay",
      "roundness": null,
      "seed": 779996569,
      "version": 22,
      "versionNonce": 1020485943,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097619974,
      "link": null,
      "locked": false,
      "text": "Transformer Out",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Transformer Out",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "1g4Oq3OEfCixnjPIm7h2z",
      "type": "arrow",
      "x": 1520.269841269842,
      "y": -448.6269841269841,
      "width": 337.269841555556,
      "height": 1383.5269841269842,
      "angle": 0,
      "strokeColor": "#e8590c",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "az",
      "roundness": null,
      "seed": 2063056759,
      "version": 146,
      "versionNonce": 911465913,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "esrjqUqnIj_6e4BSZzy4n"
        }
      ],
      "updated": 1762097744396,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          333.75,
          0
        ],
        [
          333.75,
          1383.5269841269842
        ],
        [
          -3.519841555556013,
          1383.5269841269842
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "bH77-IkOYGcdFpXf_fFrg",
        "fixedPoint": [
          1.103060073657933,
          0.4143035491350101
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "XcyJMFhPjx9GBzusjOZci",
        "fixedPoint": [
          1.0561797752808988,
          0.49887640449438303
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            333.75,
            0
          ],
          "end": [
            333.75,
            1383.5269841269842
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "esrjqUqnIj_6e4BSZzy4n",
      "type": "text",
      "x": 1766.019841269842,
      "y": 218.13650793650802,
      "width": 176,
      "height": 50,
      "angle": 0,
      "strokeColor": "#e8590c",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b00",
      "roundness": null,
      "seed": 980766169,
      "version": 42,
      "versionNonce": 1348795833,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097663626,
      "link": null,
      "locked": false,
      "text": "Append\n(Inference Only)",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "1g4Oq3OEfCixnjPIm7h2z",
      "originalText": "Append\n(Inference Only)",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "WNPQq-dGnrcWgbraGHYg4",
      "type": "text",
      "x": 471.9365079365077,
      "y": -460.2936507936506,
      "width": 686.3995768229165,
      "height": 97.49999999999999,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b01",
      "roundness": null,
      "seed": 1143701943,
      "version": 232,
      "versionNonce": 925420345,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762097713196,
      "link": null,
      "locked": false,
      "text": "Full Transformer",
      "fontSize": 77.99999999999997,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Full Transformer",
      "autoResize": true,
      "lineHeight": 1.25
    }
  ],
  "appState": {
    "gridSize": 20,
    "gridStep": 5,
    "gridModeEnabled": false,
    "viewBackgroundColor": "#ffffff"
  },
  "files": {}
}